Subject: bug#31240: 26.1; mouse-save-then-kill does not kill rectangles

From: Federico Tedin <[email-masked]>
Date: Tue, 2 Oct 2018 09:37:42 -0300

> BTW 'line-number-at-pos' is overly complicated, there is no need for
> 'start' in it, it should simply do
>
>        (save-excursion
>          (goto-char opoint)
>          (forward-line 0)
>          (1+ (count-lines (point-min) (point)))))))
>
> instead.

I agree. On the other hand, I imagined it was better to re-use an existing
function which had maybe dealed with problems I hadn't thought of. Should
I leave the last patch as it is?

> Personally, I prefer "patches with all changes and fixes included"
> because that makes it easy for me to throw them away immediately and
> resurrect them any time later.
>
> martin

Great!